
QGIS Application - Feature request #5470

Manage different versions of OTB

2012-04-23 09:08 AM - Julien Malik

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 15096

Description

As of today, OTB algorithm descriptions are embedded in Sextante, and not dynamically generated from OTB.

It is generated on top of a trunk version of OTB.

Typically some algo won't work within OSGeo4W, because it ships with the latest release.

One simple idea discussed at the HF was to have several "description" folders into the sextante/otb dir, one for each supported OTB

version.

History

#1 - 2014-10-04 11:45 AM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Category deleted (57)

#2 - 2014-10-04 11:46 AM - Giovanni Manghi

- Category set to 120

#3 - 2014-10-04 11:47 AM - Giovanni Manghi

- Assignee changed from Julien Malik to Victor Olaya

#4 - 2016-01-14 05:34 AM - Alexander Bruy

- % Done changed from 0 to 50

- Status changed from Open to In Progress

PR is here https://github.com/qgis/QGIS/pull/2669

#5 - 2016-02-18 11:19 AM - Alexander Bruy

- Status changed from In Progress to Closed

- Resolution set to fixed/implemented

Fixed in master

#6 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-05-01 11:04 AM - Giovanni Manghi
https://github.com/qgis/QGIS/pull/2669


Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#8 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core
